# taskStruct Struct Reference

`#include <sched.h>`

## Data Fields

pidType | id
taskStruct * | prev
taskStruct * | next
tssStruct | tss
i387Struct | i387
osInfo | oInfo
tState | state
uInt32 | gid
uInt32 | uid
uInt16 | usedMath

## Detailed Description

Structure containing information about a class

## Field Documentation

uInt32 taskStruct::gid

struct i387Struct taskStruct::i387

pidType taskStruct::id

struct taskStruct* taskStruct::next

struct osInfo taskStruct::oInfo

struct taskStruct* taskStruct::prev

tState taskStruct::state

struct tssStruct taskStruct::tss

uInt32 taskStruct::uid

uInt16 taskStruct::usedMath

The documentation for this struct was generated from the following file:

- sched.h